Bug 1021160 - Review Request: doge - wow very terminal doge
Review Request: doge - wow very terminal doge
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 21:08 EDT by Ian Weller
Modified: 2013-12-13 22:26 EST (History)
4 users (show)

See Also:
Fixed In Version: doge-2.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:26:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2013-10-19 21:08:38 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/doge/0.6.1-1/doge.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/doge/0.6.1-1/doge-0.6.1-1.fc19.src.rpm
Fedora Account System Username: ianweller

Description:
doge is a simple motd script based on the doge meme. It prints random
grammatically incorrect statements that are sometimes based on things from your
computer.
Comment 1 Christopher Meng 2013-10-19 21:47:07 EDT
1. This package should be named in python-doge and also a parallel installable python3 subpackage named python3-doge.

2. I can't understand "wow very terminal doge", can you change it to something better?

3. BuildRequires:  python2-devel

missing

BuildRequires:  python-setuptools

4. Remove rm -rf %{buildroot}

5. %{__python} --> %{__python2}

%{python_sitelib} --> %{python2_sitelib}
Comment 2 Ryan Rix 2013-10-20 01:39:36 EDT
wow such review, many feedback

upstream description is "wow very terminal doge" https://github.com/thiderman/doge
Comment 3 Ian Weller 2013-10-20 02:54:08 EDT
(In reply to Christopher Meng from comment #1)
> 1. This package should be named in python-doge and also a parallel
> installable python3 subpackage named python3-doge.

This isn't a Python library; it's a program that happens to be a Python module. It doesn't make sense to have a subpackage that runs on Python 3. (What would we call the separate Python 3 binary? There are no packaging policies for this.)

Examples of packages that provide Python modules but are not called python-$module, because they are standalone programs and not libraries:

- anaconda
- yum
- ansible
- gnome-tweak-tool

> 2. I can't understand "wow very terminal doge", can you change it to
> something better?

As Ryan mentioned, this is the upstream summary description, and is directly relevant to the package contents.

> 3. BuildRequires:  python2-devel
> 
> missing
> 
> BuildRequires:  python-setuptools

setup.py doesn't use setuptools, so this BuildRequires isn't needed at all.

For further evidence, see this Koji scratch build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=6080518

> 4. Remove rm -rf %{buildroot}
> 
> 5. %{__python} --> %{__python2}
> 
> %{python_sitelib} --> %{python2_sitelib}

4 and 5 fixed in 0.6.1-2:

Spec URL: http://ianweller.fedorapeople.org/SRPMS/doge/0.6.1-2/doge.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/doge/0.6.1-2/doge-0.6.1-2.fc19.src.rpm
Comment 4 Christopher Meng 2013-10-20 19:49:41 EDT
Like I've said:

doge.noarch: W: summary-not-capitalized C wow very terminal doge
doge.noarch: W: name-repeated-in-summary C doge

Upstream use this summary doesn't mean that it's readable and understandable. Please consider a change.
Comment 6 Christopher Meng 2013-10-21 01:04:39 EDT
doge.noarch: W: summary-not-capitalized C wow very terminal doge

Only this issue, please reply me with alternatives.(You don't need to build again, no need).
Comment 7 Susi Lehtola 2013-10-21 14:25:23 EDT
The correct URL is https://pypi.python.org/pypi/doge/

A valid summary would be
 A simple motd script based on the slightly retarded but very funny doge meme
Comment 8 Ian Weller 2013-10-22 01:15:23 EDT
(In reply to Susi Lehtola from comment #7)
> The correct URL is https://pypi.python.org/pypi/doge/

That is not the location of the website for the upstream project. The URL I gave is the correct one. The PyPI URL is a package index URL, which is unhelpful if a user wants to report a bug upstream.
Comment 9 Christopher Meng 2013-10-22 01:20:31 EDT
(In reply to Susi Lehtola from comment #7)
> A valid summary would be
>  A simple motd script based on the slightly retarded but very funny doge meme

Agree. Please change to something like this one.
Comment 10 Christopher Meng 2013-10-24 10:24:30 EDT
What about the summary solution? Ian, please don't think that we are waiting futile change, changing to a clearer summary will help a lot for other users.
Comment 11 Christopher Meng 2013-11-08 09:18:28 EST
1.0.0 is available now.
Comment 13 Christopher Meng 2013-12-05 22:27:52 EST
Hmm...Crazy upstream...

------------------
PACKAGE APPROVED.
Comment 14 Ian Weller 2013-12-06 14:04:32 EST
New Package SCM Request
=======================
Package Name: doge
Short Description: MOTD script based on the doge meme
Owners: ianweller
Branches: f19 f20 el6
InitialCC:
Comment 15 Gwyn Ciesla 2013-12-06 14:54:08 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-12-12 14:50:41 EST
doge-2.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/doge-2.2.0-1.fc19
Comment 17 Fedora Update System 2013-12-12 14:50:51 EST
doge-2.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/doge-2.2.0-1.fc20
Comment 18 Fedora Update System 2013-12-12 17:14:59 EST
doge-2.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/doge-2.2.0-2.el6
Comment 19 Fedora Update System 2013-12-13 12:57:08 EST
doge-2.2.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 20 Fedora Update System 2013-12-13 22:26:24 EST
doge-2.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.